AI MCP Servers
Create AI MCP server
Registers a remote MCP server the AI agent can call as a tool. Use aiMcpServers.list first to avoid duplicating an existing one.
POST
/
v1
/
ai-mcp-servers
Create AI MCP server
curl --request POST \
--url https://app.chatbotx.io/api/v1/ai-mcp-servers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"auth": {
"type": "none"
},
"name": "<string>",
"availableTools": {},
"selectedTools": [
"<string>"
]
}
'import requests
url = "https://app.chatbotx.io/api/v1/ai-mcp-servers"
payload = {
"url": "<string>",
"auth": { "type": "none" },
"name": "<string>",
"availableTools": {},
"selectedTools": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
auth: {type: 'none'},
name: '<string>',
availableTools: {},
selectedTools: ['<string>']
})
};
fetch('https://app.chatbotx.io/api/v1/ai-mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"availableTools": {},
"selectedTools": [
"<string>"
],
"workspaceId": "<string>",
"auth": {
"type": "none"
}
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
MCP server endpoint URL.
Authentication configuration for connecting to the server.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
AI MCP server name.
Minimum string length:
1Tools discovered on the server, keyed by tool name.
Show child attributes
Show child attributes
Names of the discovered tools the AI agent is allowed to call.
Response
OK
Pattern:
^\d+$Show child attributes
Show child attributes
Pattern:
^\d+$- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create AI MCP server
